version = "2.8"
container_url = "xgrand/cutadapt:${version}"

process cut_5pRACE {
  container = "${container_url}"
  label "small_mem_mono_cpus"
  tag "${barcode}"
  
  if (params.cutadapt_out != "") {
    publishDir "results/${params.cutadapt_out}", mode: 'copy'
  }

  input:
  tuple val(barcode), path(fastq)
  val(adapt)

  output:
  tuple val(barcode), path("${barcode}_merged_porechoped_cut_fastq.fastq"), emit: fastq_cutadapt

  """
  cutadapt -e 0.2 -g ${adapt} \
   --revcomp \
   -o "${barcode}_merged_porechoped_cut_fastq.fastq" \
   ${fastq}
  """
}