version = "1.0"
container_url = "xgrand/nanosplicer:${version}"

params.nanosplicer_out = ""
process jwr_checker {
  container = "${container_url}"
  label "big_mem_multi_cpus"
  tag "${barcode}"
  if (params.nanosplicer_out != "") {
    publishDir "results/${params.nanosplicer_out}", mode: 'copy'
  }

  input:
    tuple val(barcode), path(bam), path(index)

  output:
    tuple val(barcode), path("${barcode}/${barcode}_JWR_check.h5.csv"), emit: nanosplicer_jwr

  script:
    """
    mkdir ${barcode}
    cd ${barcode}/
    python3 /NanoSplicer/bin/JWR_checker.py --output_csv ../${bam} ${barcode}_JWR_check.h5 
    """
}

